﻿using PDF_Office.ViewModels.EditTools.Background;
using System.Windows.Controls;

namespace PDF_Office.Views.EditTools.Background
{
    /// <summary>
    /// Interaction logic for BackgroundTemplateListFileContent
    /// </summary>
    public partial class BackgroundTemplateListFileContent : UserControl
    {
        private BackgroundTemplateListFileContentViewModel viewModel;

        public BackgroundTemplateListFileContent()
        {
            InitializeComponent();
            viewModel = this.DataContext as BackgroundTemplateListFileContentViewModel;
        }

        private void DeleteTemplateBtn_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            viewModel.DeleteTemplateItemCommand?.Execute(sender);
        }
    }
}
